Description

The greyed out samples until loaded are great; however it seems to me I can't play any fragment until all are green, which sort of
defies the purpose. 
Furthermore, it seemed that they remained grey for a while, then became green in quick succession. This looks like they may be
loading in parallel, which is not useful in this case. If there is any control over this, could you make it load them one by one, so that the
test can be started as early as possible? 
Finally, it is VERY important that the first one to load is NOT consistently the first file alphabetically. Otherwise, despite the
randomisation most subjects would listen to Aaa.wav before they listen to Zzz.wav. It is of course absolutely fine to always load
fragment '0' first, as long as this doesn't correspond with the same sample every time. 
(This was in Safari)

Associated revisions
Revision 305:b71d91792528 - 2015-09-15 10:20 AM - Nicholas Jillings

Merge from "dev_main". Added MUSHRA, PHP upload scripts, APE on Firefox, multi-screen support. Bug fixes #1370, #1298, #1391, #1300, #1389.

Revision 1074:2b8c36924bfd - 2015-09-15 10:20 AM - Nicholas Jillings

Merge from "dev_main". Added MUSHRA, PHP upload scripts, APE on Firefox, multi-screen support. Bug fixes #1370, #1298, #1391, #1300, #1389.

Revision 1813:d0c76483dff8 - 2015-09-15 10:20 AM - Nicholas Jillings 

Merge from "dev_main". Added MUSHRA, PHP upload scripts, APE on Firefox, multi-screen support. Bug fixes #1370, #1298, #1391, #1300, #1389.

Revision 2080:75b17240082b - 2015-09-15 10:20 AM - Nicholas Jillings 

Merge from "dev_main". Added MUSHRA, PHP upload scripts, APE on Firefox, multi-screen support. Bug fixes #1370, #1298, #1391, #1300, #1389.

History
#1 - 2015-09-14 11:33 AM - Nicholas Jillings
- Status changed from New to In Progress
- % Done changed from 0 to 50

For non-looped playback it is now fixed. However for looped playback, which is synchronised, it must wait for all the audio to load to work out what
padding to apply.

The looped and synchronised loops will be split into two separate modes soon which will further improve this.
#2 - 2015-12-07 07:01 PM - Nicholas Jillings
- Status changed from In Progress to Feedback
